##
## Copyright (c) 2021 The Yaook Authors.
##
## This file is part of Yaook.
## See https://yaook.cloud for further info.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
apiVersion: batch/v1
kind: Job
metadata:
  generateName: "cinder-db-upgrade-pre-"
spec:
  backoffLimit: 12
  template:
    spec:
        automountServiceAccountToken: false
        containers:
          - name: cinder-setup
            image:  {{ versioned_dependencies['cinder_docker_image'] }}
            command: ["cinder-manage", "db", "sync"]
            volumeMounts:
              - name: cinder-config-volume
                mountPath: /etc/cinder/cinder.conf
                subPath: cinder.conf
              - name: ca-certs
                mountPath: /etc/pki/tls/certs
            env:
              - name: REQUESTS_CA_BUNDLE
                value: /etc/pki/tls/certs/ca-bundle.crt
            resources: {{ crd_spec | resources('job.cinder-db-upgrade-pre-job') }}
        volumes:
          - name: cinder-config-volume
            secret:
              secretName: {{ dependencies['config'].resource_name() }}
              items:
                - key: cinder.conf
                  path: cinder.conf
          - name: ca-certs
            configMap:
              name: {{ dependencies['ca_certs'].resource_name() }}
{% if crd_spec.imagePullSecrets | default(False) %}
        imagePullSecrets: {{ crd_spec.imagePullSecrets }}
{% endif %}
        restartPolicy: Never
